%global pypi_name	python-xmp-toolkit
%define module		xmp-toolkit

Name:		python-%{module}
Version:	2.0.1
Release:	%mkrel 4
Summary:	Python XMP Toolkit for working with metadata
Group:		Development/Python
License:	BSD
URL:		https://github.com/python-xmp-toolkit/python-xmp-toolkit
Source0:	%{pypi_source}
# https://github.com/python-xmp-toolkit/python-xmp-toolkit/pull/68
Patch0001:	2f94011ab789d1d2cabc41db7a708a19a62bb573.patch

BuildArch:	noarch

BuildRequires:	exempi
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pytz)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(sphinx)

%description
Python XMP Toolkit Python XMP Toolkit is a library for working with XMP
metadata, as well as reading/writing XMP metadata stored in many different file
formats.

%package -n	python3-%{module}
Summary:	Python3 XMP Toolkit for working with metadata
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}
Requires:	exempi

%description -n	python3-%{module}
Python XMP Toolkit Python XMP Toolkit is a library for working with XMP
metadata, as well as reading/writing XMP metadata stored in many different file
formats.


%package -n	python-%{module}-doc
Summary:	Documentation for python-%{module}
Group:		Documentation

%description -n	python-%{module}-doc
Documentation for python-%{module}.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
#{__python3} setup.py test

%files -n python3-%{module}
%license LICENSE
%doc README.rst
%{python3_sitelib}/libxmp/
%{python3_sitelib}/python_xmp_toolkit-%{version}-py%{python3_version}.egg-info

%files -n python-%{module}-doc
%doc html
%license LICENSE


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 2.0.1-4.mga9
+ Revision: 1832703
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 2.0.1-3.mga9
+ Revision: 1779497
- rebuild for python-3.10

* Wed Mar 17 2021 wally <wally> 2.0.1-2.mga9
+ Revision: 1704021
- rebuild for python 3.9

* Mon Jun 01 2020 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1589367
- initial package python-xmp-toolkit

